> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Lista media sources habilitados

> Retorna as integrações que (a) possuem config_entry para o escopo (user/org) e (b) expõem a ação `<domain>.media_source.browse`.



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/media-source/providers
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/media-source/providers:
    get:
      tags:
        - MediaSource
      summary: Lista media sources habilitados
      description: >-
        Retorna as integrações que (a) possuem config_entry para o escopo
        (user/org) e (b) expõem a ação `<domain>.media_source.browse`.
      operationId: getV1Media-sourceProviders
      parameters:
        - in: header
          name: X-Organization-Id
          required: false
          schema:
            type: string
          description: >-
            ID da organização para contexto (opcional). Quando presente, filtra
            recursos da org.
      responses:
        '200':
          description: Lista de providers
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    domain:
                      type: string
                    title:
                      type: string
                    thumbnail:
                      type: string
                    config_entry_id:
                      type: integer
                  required:
                    - domain
                    - title
                    - thumbnail
                    - config_entry_id
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.